Attribute VB_Name = "Amazon"
Sub Amazon_Makro()
    'Copyright BuchhaltungsButler 2017
    
    Columns("A:A").Select
    Selection.TextToColumns Destination:=Range("A1"), DataType:=xlDelimited, _
        TextQualifier:=xlDoubleQuote, ConsecutiveDelimiter:=False, Tab:=False, _
        Semicolon:=False, Comma:=True, Space:=False, Other:=False, FieldInfo _
        :=Array(Array(1, 1), Array(2, 1)), TrailingMinusNumbers:=True
    Range("1:1,2:2,3:3,5:5,4:4").Delete Shift:=xlUp
    Columns("B:B").Insert Shift:=xlToRight, CopyOrigin:=xlFormatFromLeftOrAbove
    Columns("A:A").TextToColumns Destination:=Range("A1"), DataType:=xlDelimited, _
        TextQualifier:=xlDoubleQuote, ConsecutiveDelimiter:=False, Tab:=False, _
        Semicolon:=False, Comma:=False, Space:=False, Other:=True, OtherChar _
        :="T", FieldInfo:=Array(Array(1, 1), Array(2, 1)), TrailingMinusNumbers:=True
    Range("A1").Value = "Buchungsdatum"
    Range("B1").Value = "Irrelevant"
    Range("C1").Value = "Irrelevant"
    Range("D1").Value = "Buchungstext"
    Range("E1").Value = "Irrelevant"
    Range("F1").Value = "Empfnger/Zahlungspflichtiger"
    Range("G1").Value = "Irrelevant"
    Range("H1").Value = "Verwendungszweck"
    Range("I1").Value = "Irrelevant"
    Range("J1").Value = "Whrung"
    Range("K1").Value = "Auftragsart"
    Range("L1").Value = "Buchungsbetrag"
    Range("M1").Value = "Irrelevant"
    Range("N1").Value = "Irrelevant"
    Range("O1").Value = "Irrelevant"
    Range("P1").Value = "Irrelevant"
    

    With Excel.ActiveSheet
        rowges = .Cells(.Rows.Count, 1).End(Excel.xlUp).Row
    End With
    Dim i As Integer
    For i = 1 To rowges
        If Cells(i, 6).Value = "Carryover" Then
            Rows(i & ":" & i).Delete Shift:=xlUp
        End If
    Next i
    With Excel.ActiveSheet
        rowgess = .Cells(.Rows.Count, 1).End(Excel.xlUp).Row
    End With
    For i = 1 To rowgess
        If Cells(i, 6).Value = "Capture" Then
            og = Cells(i, 6).Value
            Cells(i, 6).Value = Cells(i, 8).Value
            Cells(i, 8).Value = og
        End If
    Next i
    gh = (CInt(rowgess) * -1) + 1
    Cells(CInt(rowgess) + 1, 1).Value = Cells(rowgess - 5, 1).Value
    Cells(CInt(rowgess) + 1, 6).Value = "Commission and Fees Amazon"
    Cells(CInt(rowgess) + 1, 15).FormulaR1C1 = "=SUM(R[" & gh & "]C:R[-1]C)"
    Cells(CInt(rowgess) + 1, 12).Value = Cells(CInt(rowgess) + 1, 15).Value
    
    Dim stng As String 'Inhalt auf 60 Zeichen krzen
    For i = 1 To rowgess
        stng = Cells(i, 11).Value
        Cells(i, 11).Value = Left(Trim(stng), 60)
    Next i
    
    For i = 1 To rowgess
        If Cells(i, 12).Value = "0" Then
            Rows(i & ":" & i).Delete Shift:=xlUp
        End If
    Next i
    
    Range("A1").Select
End Sub

